# 32/64bit spec-file
#

Name:		projectm-libvisual-alsa
Version:	2.1.0
Release:	%mkrel 2

Summary:	Alsa tool for projectM
License:	LGPL
Group:		Video
URL:		http://projectm.sourceforge.net/
Source0:	projectM-libvisual-alsa-%{version}-Source.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	%{_lib}alsa2-devel %{_lib}visual0-devel
BuildRequires:  %{_lib}projectm-devel >= 2.1.0
BuildRequires:	%{_lib}SDL-devel pkgconfig
BuildRequires:  cmake

%description
Alsa tool for projectM

ProjectM is an awesome music visualizer. There is nothing better in the world of
Unix. projectM's greatness comes from the hard work of the community. Users like
you can create presets that connect music with incredible visuals.


%prep
%setup -q -n projectM-libvisual-alsa-%{version}-Source

%build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} .

%make 


%install
rm -rf %{buildroot}
%makeinstall_std 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/projectM-libvisual-alsa
%{_datadir}/applications/projectM-libvisual-alsa.desktop


%changelog
* Mon Jan 28 2013 pinoc <vogtpet at gmail.com> 2.1.0-2pclos2013
- fixed requires
- rebuild

* Sun Oct 28 2012 Ken <lxgator@gmail.com> - 2.1.0-1pclos2012
- initial build 
